<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <!-- Custom styles -->
    <link rel="stylesheet" href="style.css" type="text/css"> 
</head>
<body>
    <!-- Nav Bar -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="#">TripSmart</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
    
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="/">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="destinations.html">Destinations</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="pointsofinterest.html">Points of Interest</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="hotels.html">Hotels</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="about.html">About</a>
                </li>
            </ul>
        </div>
    </nav>

    <!-- Destinations -->
    <div class="container">
        <div class="row">
            <div class="col">
                <h2>Popular Destinations</h2>
                <!-- Param: cities (type: list) 
                     We're given a list of cities that were provided from API call. -->
                {% for city in cities %}
                    <div class="card" style="max-width: 50%;">
                        <!-- As opposed to other pages, we just display alt text if no photo is found.
                             The url will be empty if no photo is found, so there's not going to be any
                             accessing erros. -->
                        <img src="{{ city.photo_url }}" class="card-img-top" alt="dest_img" style="max-width: 100%;">
                        <div class="card-body">
                            <!-- City name and Latitude and Longitude -->
                            <h5 class="card-title">{{ city.location }}</h5>
                            <p class="card-text"> Latitude: {{ city.lat }} <br> 
                                Longitude: {{ city.long }} 
                            </p>
                            <!-- Button to go to Points of Interest page -->
                            <a href="pointsofinterest.html" class="btn btn-primary">Explore Points of Interest</a>
                            <!-- Button to go to the city's external website. If there is no website avaialble, 
                                 then no redirect will happen and you'll remain on the page. -->
                            <a href="{{city.website}}" class="btn btn-primary">Explore External Website</a>
                        </div>
                    </div>
                {% endfor %}   
            </div>
        </div>
    </div>
</body>
</html>